<?php


namespace App\ViewModels\Paciente\PacienteDetailsViewModel;


use App\Utils\Entity;

class PacienteDetailsViewModel extends Entity
{
    protected $id;
    protected $id_cliente=0;
    protected $cpf;
    protected $rg;
    protected $nome;
    protected $genero;
    protected $data_nascimento;
    protected $telefone_1;
    protected $telefone_2;
    protected $telefone_3;
    protected $cep;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $estado;
    protected $cidade;
    protected $bairro;
    protected $logradouro;
    protected $email;
    protected $foto;
    protected $indicado_por;
    protected $profissao;
    protected $estado_civil;
    protected $convenio;
    protected $observacao;
    protected $tipo;
    protected $altura;
    protected $peso;
    protected $pets;

    public static function builder() : PacienteDetailsViewModelBuilder
    {
        $paciente_details_vm_builder = new PacienteDetailsViewModelBuilder();
        return $paciente_details_vm_builder;
    }

    /**
     * @return mixed
     */
    public function getPets()
    {
        return $this->pets;
    }

    /**
     * @param mixed $pets
     */
    public function setPets($pets): void
    {
        $this->pets = $pets;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getCpf() : string
    {
        return $this->cpf;
    }

    public function getRg() : string
    {
        return $this->rg;
    }

    public function getNome() : string
    {
        return $this->nome;
    }

    public function getGenero() : string
    {
        return $this->genero;
    }

    public function getDataNascimento() : string
    {
        return $this->data_nascimento;
    }

    public function getTelefone1() : string
    {
        return $this->telefone_1;
    }

    public function getTelefone2() : string
    {
        return $this->telefone_2;
    }

    public function getTelefone3() : string
    {
        return $this->telefone_3;
    }

    public function getCep() : string
    {
        return $this->cep;
    }

    public function getNumero() : string
    {
        return $this->numero;
    }

    public function getComplemento() : string
    {
        return $this->complemento;
    }

    public function getReferencias() : string
    {
        return $this->referencias;
    }

    public function getEstado() : string
    {
        return $this->estado;
    }

    public function getCidade() : string
    {
        return $this->cidade;
    }

    public function getBairro() : string
    {
        return $this->bairro;
    }

    public function getLogradouro() : string
    {
        return $this->logradouro;
    }

    public function getEmail() : string
    {
        return $this->email;
    }

    public function getFoto() : string
    {
        return $this->foto;
    }

    public function getIndicadoPor() : string
    {
        return $this->indicado_por;
    }

    public function getProfissao()
    {
        return $this->profissao;
    }

    public function getEstadoCivil()
    {
        return $this->estado_civil;
    }

    public function getIdCliente(): int
    {
        return $this->id_cliente;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setCpf($cpf): void
    {
        $this->cpf = $cpf;
    }

    public function setRg(string $rg): void
    {
        $this->rg = $rg;
    }

    public function setNome(string $nome): void
    {
        $this->nome = $nome;
    }

    public function setGenero(string $genero): void
    {
        $this->genero = $genero;
    }

    public function setDataNascimento(string $data_nascimento): void
    {
        $this->data_nascimento = $data_nascimento;
    }

    public function setTelefone1(string $telefone_1): void
    {
        $this->telefone_1 = $telefone_1;
    }

    public function setTelefone2(string $telefone_2): void
    {
        $this->telefone_2 = $telefone_2;
    }

    public function setTelefone3(string $telefone_3): void
    {
        $this->telefone_3 = $telefone_3;
    }

    public function setCep(string $cep): void
    {
        $this->cep = $cep;
    }

    public function setNumero(string $numero): void
    {
        $this->numero = $numero;
    }

    public function setComplemento(string $complemento): void
    {
        $this->complemento = $complemento;
    }

    public function setReferencias(string $referencias): void
    {
        $this->referencias = $referencias;
    }

    public function setEstado(string $estado): void
    {
        $this->estado = $estado;
    }

    public function setCidade(string $cidade): void
    {
        $this->cidade = $cidade;
    }

    public function setBairro(string $bairro): void
    {
        $this->bairro = $bairro;
    }

    public function setLogradouro(string $logradouro): void
    {
        $this->logradouro = $logradouro;
    }

    public function setEmail($email): void
    {
        $this->email = $email;
    }

    public function setFoto($foto): void
    {
        $this->foto = $foto;
    }

    public function setIndicadoPor($indicado_por): void
    {
        $this->indicado_por = $indicado_por;
    }

    public function setProfissao(string $profissao)
    {
        $this->profissao = $profissao;
    }

    public function setEstadoCivil(string $estado_civil)
    {
        $this->estado_civil = $estado_civil;
    }

    public function setIdCliente(int $id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

    public function getConvenio()
    {
        return $this->convenio;
    }

    public function setConvenio($convenio): void
    {
        $this->convenio = $convenio;
    }

    public function getObservacao()
    {
        return $this->observacao;
    }

    public function setObservacao($observacao): void
    {
        $this->observacao = $observacao;
    }

    public function getTipo()
    {
        return $this->tipo;
    }

    public function setTipo($tipo): void
    {
        $this->tipo = $tipo;
    }

    /**
     * @return mixed
     */
    public function getAltura()
    {
        return $this->altura;
    }

    /**
     * @param mixed $altura
     */
    public function setAltura($altura): void
    {
        $this->altura = $altura;
    }

    /**
     * @return mixed
     */
    public function getPeso()
    {
        return $this->peso;
    }

    /**
     * @param mixed $peso
     */
    public function setPeso($peso): void
    {
        $this->peso = $peso;
    }



}